# XML Parsing

## Classes

class | NEDSAXHandler
| SAX handler (to be used with SAXParser) that builds a NED object tree. More...
class | SAXHandler
| Base class for SAX event handlers needed by SAXParser. More...
class | SAXParser
| Wraps XML SAX parsers (Expat and LibXML are supported at the moment, decided at compile-time. More...

## Functions

NEDElement * | parseXML (const char *filename)

## Function Documentation

NEDElement* parseXML | ( | const char * | filename | ) |

| Simple front-end to NED XML parsing: invokes SAXParser with NEDSAXHandler.